Bug 339061 - Adding CDROM drive fails 'global name 'libvirtError' is not defined'
Summary: Adding CDROM drive fails 'global name 'libvirtError' is not defined'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL: http://hg.et.redhat.com/virt/applicat...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 02:21 UTC by Andrew Bartlett
Modified: 2008-01-22 15:52 UTC (History)
2 users (show)

Fixed In Version: 0.5.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 15:52:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Bartlett 2007-10-19 02:21:35 UTC
Description of problem:
Adding a CDROM drive to an existing image fails with

Version-Release number of selected component (if applicable):
libvirt-0.3.3-2.fc8
virt-manager-0.5.2-2.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Install qemu based virtual machine (using boot CDROM for debian)
2. Stop the install
3. Re-add CDROM with 'Hadware -> Add -> Storage -> select image -> select CDROM
  
Actual results:

Message with 
'global name 'libvirtError' is not defined'

Unable to complete install '<type 'exceptions.NameError'> global name
'libvirtError' is not defined
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 530, in add_device
    self.vm.add_device(xml)
  File "/usr/share/virt-manager/virtManager/domain.py", line 684, in add_device
    except libvirtError, e:
NameError: global name 'libvirtError' is not defined
'

Expected results:
Add the CDROM to qemu/kvm

Additional info:

Comment 1 Andrew Bartlett 2007-10-19 02:31:35 UTC
I'm pretty sure this is:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=58c46220f2df

Comment 2 Andrew Bartlett 2007-10-25 01:16:17 UTC
Indeed, this patch fixed the issue.  How do i get that patch into Fedora for
Fedora 8?

Comment 3 Cole Robinson 2007-12-04 16:11:13 UTC
A new version of virt-manager will need to be tagged, then pushed to Fedora.
I'll close the bug when the new version is pushed.

Comment 4 Fedora Update System 2008-01-11 22:23:31 UTC
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'

Comment 5 Andrew Bartlett 2008-01-21 01:00:01 UTC
Looks good to me. 

Comment 6 Fedora Update System 2008-01-22 15:52:12 UTC
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.